import 'package:json_annotation/json_annotation.dart';
import 'package:marking_app/common/model/enum/job_enums.dart';

part 'job_question_switch_bus.g.dart';

@JsonSerializable()
class JobQuestionSwitchBus extends Object {
  @JsonKey(name: 'switchAction')
  ReviewSwitching switchAction;

  JobQuestionSwitchBus({this.switchAction = ReviewSwitching.TO_NEXT_QUESTION});

  factory JobQuestionSwitchBus.fromJson(Map<String, dynamic> srcJson) => _$JobQuestionSwitchBusFromJson(srcJson);

  Map<String, dynamic> toJson() => _$JobQuestionSwitchBusToJson(this);
}
